# Uses of Class
org.eclipse.ecf.core.provider.ContainerIntentException

Packages that use ContainerIntentException
Package
Description
org.eclipse.ecf.core.provider
org.eclipse.ecf.provider.generic
org.eclipse.ecf.remoteservice.provider

## Uses of ContainerIntentException in org.eclipse.ecf.core.provider

Methods in org.eclipse.ecf.core.provider that throw ContainerIntentException
Modifier and Type
Method
Description
`static void`
ContainerInstantiatorUtils.`checkPrivate(String hostname)`
`static void`
ContainerInstantiatorUtils.`checkPrivate(InetAddress inetAddress)`
`static void`
ContainerInstantiatorUtils.`checkPrivate(ID serverID)`

## Uses of ContainerIntentException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw ContainerIntentException
Modifier and Type
Method
Description
`protected GenericContainerInstantiator.GenericContainerArgs`
GenericContainerInstantiator.`getServerArgs(Object[] args)`
`protected SSLGenericContainerInstantiator.GenericContainerArgs`
SSLGenericContainerInstantiator.`getServerArgs(Object[] args)`

## Uses of ContainerIntentException in org.eclipse.ecf.remoteservice.provider

Methods in org.eclipse.ecf.remoteservice.provider that throw ContainerIntentException
Modifier and Type
Method
Description
`protected boolean`
RemoteServiceContainerInstantiator.`checkAsyncIntent(ContainerTypeDescription description, Map<String,?> properties)`
`protected void`
RemoteServiceContainerInstantiator.`checkConfidential(ContainerTypeDescription description, String uri)`
`protected boolean`
RemoteServiceContainerInstantiator.`checkConfidentialIntent(ContainerTypeDescription description, String uri, Map<String,?> properties)`
`protected void`
RemoteServiceContainerInstantiator.`checkOSGIIntents(ContainerTypeDescription description, URI uri, Map<String,?> properties)`
`protected void`
RemoteServiceContainerInstantiator.`checkPrivate(ContainerTypeDescription description, String hostname)`
`protected boolean`
RemoteServiceContainerInstantiator.`checkPrivateIntent(ContainerTypeDescription description, String hostname, Map<String,?> properties)`